org.apache.maven.scm.provider.svn.svnexe.command.list

## Class SvnListConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.svn.svnexe.command.list.SvnListConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class SvnListConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Version:
  $Id: SvnListConsumer.java 685548 2008-08-13 13:35:49Z vsiveton $
Author:
  Carlos Sanchez

### Constructor Summary

Constructors
Constructor and Description
`SvnListConsumer()`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnListConsumer

    public SvnListConsumer()

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getFiles

    public List getFiles()